
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<style type="text/css">
    .ui-row-editor .ui-row-editor-pencil {
        margin-left:8px;
    }
</style>

<h:head>
    <link type="text/css" rel="stylesheet" href="#{request.contextPath}/themes/cupertino/skin.css"/>
</h:head>

<form action="${request.contextPath}/appLogout" method="POST">
    <input type="submit" value="Logout"/>
    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
</form>
<h5>Username : ${dtUserAddRowView.authUser} <br/></h5>>

<h:form id="form">
    <h:button value="Go Home" outcome="/index.xhtml" style="margin-right:20px;" ajax="false" icon="pi pi-home" />

    <p:growl id="msgs" showDetail="true"/>

    <p:dataTable id="projects" widgetVar="projects" var="project" value="#{dtAddRowView.projects}" editable="true"
                 rowKey="#{project.id}" selection="#{dtEditView.selectedProject}" selectionMode="single">
        <f:facet name="header">
            All Projects
        </f:facet>

        <p:ajax event="rowEdit" listener="#{dtAddRowView.onRowEdit}" update=":form:msgs" />
        <p:ajax event="rowEditCancel" listener="#{dtAddRowView.onRowCancel}" update=":form:msgs" />
        <!--<p:ajax event="rowEditDelete" listener="#{dtAddRowView.onRowDelete}" update=":form:msgs" />-->

        <p:column headerText="Id">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.id}" /></f:facet>
                <f:facet name="input"><p:inputText id="modelInput" value="#{project.id}" style="width:100%"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Name">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.name}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{project.name}" style="width:100%" label="Name"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Description">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.description}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{project.description}" style="width:100%" label="Description"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="User">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.user.login}" /></f:facet>
                <f:facet name="input">
                    <!--<h:selectOneMenu value="#{project.user}" converter="SelectItemToUserEntityConverter" style="width:100%">-->
                    <h:selectOneMenu value="#{project.user}" style="width:100%">
                        <f:selectItems value="#{dtEditView.users}" var="user" itemLabel="#{user}" itemValue="#{user}" />
                        <!--<f:selectItems value="#{dtEditView.users}" var="user" label="User" itemValue="#{user}" />-->
                    </h:selectOneMenu>
                </f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Date start">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.dateStart}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{project.dateStart}" style="width:100%" label="Date start" converter="myDateTimeConverter"  /> </f:facet>
            </p:cellEditor>
        </p:column>


        <p:column headerText="Date finish">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.dateFinish}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{project.dateFinish}" style="width:100%" label="Date finish" converter="myDateTimeConverter"/></f:facet>
            </p:cellEditor>
        </p:column>

        <p:column headerText="Status">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{project.status}" /></f:facet>
                <f:facet name="input">
                    <h:selectOneMenu value="#{project.status}" style="width:100%">
                        <f:selectItems value="#{dtEditView.statuses}" var="status" itemLabel="#{status}" itemValue="#{status}" />
                    </h:selectOneMenu>
                </f:facet>
            </p:cellEditor>
        </p:column>

        <p:column style="width:32px">
            <p:rowEditor />
        </p:column>
    </p:dataTable>

    <div class="ui-g">
        <div class="ui-g-12">
            <p:commandButton value="Add new row" styleClass="ui-priority-primary" process="@this" ajax="true" update=":form:msgs"
                             action="#{dtAddRowView.onAddNew()}" oncomplete="PF('projects').addRow();"/>
        </div>
    </div>

    <p:contextMenu for="projects">
        <p:menuitem value="Delete" update="@form" render="@all" icon="pi pi-times" action="#{dtEditView.deleteProject}"/>
    </p:contextMenu>

</h:form>

</html>